# $Revision: 1.32 $, $Date: 2010/03/30 22:29:57 $
Summary:	X509/LDAP certificate and revocation list client
Summary(pl.UTF-8):	Klient certyfikatów i list anulujących X509/LDAP
Name:		dirmngr
Version:	1.0.3
Release:	3
License:	GPL v2+
Group:		Applications
Source0:	ftp://ftp.gnupg.org/gcrypt/dirmngr/%{name}-%{version}.tar.bz2
# Source0-md5:	c1f2028d708e4d4ecbd6d6d647bd938b
Patch0:		%{name}-info.patch
URL:		http://www.gnupg.org/documentation/manuals/dirmngr/
BuildRequires:	automake
BuildRequires:	libassuan1-devel >= 1.0.5-2
BuildRequires:	libgcrypt-devel >= 1.4.0
BuildRequires:	libgpg-error-devel >= 1.4
BuildRequires:	libksba-devel >= 1.0.2
BuildRequires:	openldap-devel >= 2.4.6
BuildRequires:	pth-devel >= 1.3.7
BuildRequires:	texinfo
Requires:	libassuan1 >= 1.0.5-2
Requires:	libgcrypt >= 1.4.0
Requires:	libgpg-error >= 1.4
Requires:	libksba >= 1.0.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DirMngr is a client for managing and downloading certificate
revocation lists (CRLs) for X509 certificates and for downloading the
certificates themselves. DirMngr is usually invoked by gpgsm and in
general not used directly.

%description -l pl.UTF-8
DirMngr to klient do zarządzania i pobierania list anulujących
certyfikaty (CRLs - certificate revocation lists) dla certyfikatów
X509 oraz do pobierania samych certyfikatów. DirMngr jest zwykle
wywoływany przez gpgsm i nie używany bezpośrednio.

%prep
%setup -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.* .
%configure \
	--with-ldap=/usr
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/dirmngr
rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog NEWS README*
%attr(755,root,root) %{_bindir}/dirmngr
%attr(755,root,root) %{_bindir}/dirmngr-client
%attr(755,root,root) %{_libexecdir}/dirmngr_ldap
%{_infodir}/dirmngr.info*
%{_mandir}/man1/dirmngr.1*
%{_mandir}/man1/dirmngr-client.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dirmngr.spec,v $
Revision 1.32  2010/03/30 22:29:57  shadzik
- damn, fix R: too
- rel 3

Revision 1.31  2010/03/30 22:28:48  shadzik
- adjust libassuan BR
- rel 2

Revision 1.30  2009/10/03 05:45:15  qboosh
- updated to 1.0.3

Revision 1.29  2008/08/04 09:25:38  zbyniu
- up to 1.0.2

Revision 1.28  2008-01-24 01:36:30  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.27  2007-11-18 18:22:52  arekm
- rel 2

Revision 1.26  2007-11-03 02:10:03  baggins
- updated openldap BR/R to 2.4.6

Revision 1.25  2007/08/28 20:14:00  qboosh
- updated to 1.0.1

Revision 1.24  2007/02/12 21:23:53  glen
- tabs in preamble

Revision 1.23  2007/02/12 00:48:45  baggins
- converted to UTF-8

Revision 1.22  2006/12/01 17:51:49  qboosh
- updated to 1.0.0

Revision 1.21  2006/11/20 17:25:24  qboosh
- updated to 0.9.7

Revision 1.20  2006/09/05 19:01:12  qboosh
- added manuals

Revision 1.19  2006/09/05 07:29:33  qboosh
- updated to 0.9.6

Revision 1.18  2006/06/28 07:37:51  qboosh
- updated to 0.9.5

Revision 1.17  2006/05/18 09:38:51  qboosh
- updated to 0.9.4, updated info patch

Revision 1.16  2006/01/17 15:00:17  baggins
- release 2
- BR openldap 2.3

Revision 1.15  2005/10/28 18:36:53  qboosh
- updated to 0.9.3

Revision 1.14  2005/04/23 15:35:15  qboosh
- updated to 0.9.2

Revision 1.13  2005/02/28 07:09:41  qboosh
- updated to 0.9.1, updated info patch

Revision 1.12  2005/01/03 16:17:00  qboosh
- updated to 0.9.0, updated info patch

Revision 1.11  2004/10/30 17:47:20  qboosh
- updated to 0.5.6

Revision 1.10  2004/05/18 22:46:13  qboosh
- updated to 0.5.5

Revision 1.9  2004/04/18 18:20:44  qboosh
- fixed build on amd64, release 2

Revision 1.8  2004/04/18 12:57:39  qboosh
- updated BRs, refresh config.sub

Revision 1.7  2004/04/17 21:31:19  qboosh
- updated to 0.5.3, updated info patch

Revision 1.6  2004/03/08 23:38:06  qboosh
- updated to 0.5.2

Revision 1.5  2003/12/24 12:26:01  qboosh
- added libassuan epoch

Revision 1.4  2003/12/24 12:21:51  qboosh
- updated to 0.5.1, removed obsolete db4 patch (cut-down tinycdb is used now)

Revision 1.3  2003/11/17 20:14:36  qboosh
- fixed Source0 URL

Revision 1.2  2003/11/17 19:19:22  qboosh
- updated to 0.5.0, updated db4 patch

Revision 1.1  2003/07/26 12:03:59  qboosh
- new, patched for db 4.1 and standard info directory
